UpdateRegistry
Updates an existing registry. This operation uses PATCH semantics, so you only need to specify the fields you want to change.
Request Syntax
PATCH /registries/registryId HTTP/1.1
Content-type: application/json
{
"approvalConfiguration": {
"optionalValue": {
"autoApproval": boolean
}
},
"authorizerConfiguration": {
"optionalValue": { ... }
},
"description": {
"optionalValue": "string"
},
"name": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- registryId
-
The identifier of the registry to update. You can specify either the Amazon Resource Name (ARN) or the ID of the registry.
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
(arn:aws(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:registry/)?[a-zA-Z0-9]{12,16}Required: Yes
Request Body
The request accepts the following data in JSON format.
- approvalConfiguration
-
The updated approval configuration for registry records. The updated configuration only affects new records that move to
PENDING_APPROVALstatus after the change. Existing records already inPENDING_APPROVALstatus are not affected.Type: UpdatedApprovalConfiguration object
Required: No
-
The updated authorizer configuration for the registry. Changing the authorizer configuration can break existing consumers of the registry who are using the authorization type prior to the update.
Type: UpdatedAuthorizerConfiguration object
Required: No
- description
-
The updated description of the registry. To clear the description, include the
UpdatedDescriptionwrapper withoptionalValuenot specified.Type: UpdatedDescription object
Required: No
- name
-
The updated name of the registry.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9_\-\.\/]*Required: No
Response Syntax
HTTP/1.1 202
Content-type: application/json
{
"approvalConfiguration": {
"autoApproval": boolean
},
"authorizerConfiguration": { ... },
"authorizerType": "string",
"createdAt": "string",
"description": "string",
"name": "string",
"registryArn": "string",
"registryId": "string",
"status": "string",
"statusReason": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 202 response.
The following data is returned in JSON format by the service.
- approvalConfiguration
-
The approval configuration for the updated registry. For details, see the
ApprovalConfigurationdata type.Type: ApprovalConfiguration object
-
The authorizer configuration for the updated registry. For details, see the
AuthorizerConfigurationdata type.Type: AuthorizerConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
-
The type of authorizer used by the updated registry. This controls the authorization method for the Search and Invoke APIs used by consumers.
-
CUSTOM_JWT- Authorize with a bearer token. -
AWS_IAM- Authorize with your AWS IAM credentials.
Type: String
Valid Values:
CUSTOM_JWT | AWS_IAM -
- createdAt
-
The timestamp when the registry was created.
Type: Timestamp
- description
-
The description of the updated registry.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 4096.
- name
-
The name of the updated registry.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9_\-\.\/]* - registryArn
-
The Amazon Resource Name (ARN) of the updated registry.
Type: String
Pattern:
arn:aws(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16} - registryId
-
The unique identifier of the updated registry.
Type: String
Length Constraints: Minimum length of 12. Maximum length of 16.
Pattern:
[a-zA-Z0-9]{12,16} - status
-
The current status of the updated registry. Possible values include
CREATING,READY,UPDATING,CREATE_FAILED,UPDATE_FAILED,DELETING, andDELETE_FAILED.Type: String
Valid Values:
CREATING | READY | UPDATING | CREATE_FAILED | UPDATE_FAILED | DELETING | DELETE_FAILED - statusReason
-
The reason for the current status of the updated registry.
Type: String
- updatedAt
-
The timestamp when the registry was last updated.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
This exception is thrown when a request is denied per access permissions
HTTP Status Code: 403
- ConflictException
-
This exception is thrown when there is a conflict performing an operation
HTTP Status Code: 409
- InternalServerException
-
This exception is thrown if there was an unexpected error during processing of request
HTTP Status Code: 500
- ResourceNotFoundException
-
This exception is thrown when a resource referenced by the operation does not exist
HTTP Status Code: 404
- ServiceQuotaExceededException
-
This exception is thrown when a request is made beyond the service quota
HTTP Status Code: 402
- ThrottlingException
-
This exception is thrown when the number of requests exceeds the limit
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: